Solid Edge Framework Type Library
EditOpenGageExcelFile Method
Specify Gage table name.
Description
This method is used to open the Gage file for editing.
Syntax
Visual Basic
Public Sub EditOpenGageExcelFile( _
   ByVal bstrDocGageTableName As String _
) 
Parameters
bstrDocGageTableName
Specify Gage table name.
Example
Private Sub EditOpenGageExcelFile_Click(sender As Object, e As EventArgs) Handles EditOpenGageExcelFile.Click
    Dim objApplication As SolidEdgeFramework.Application = Nothing
    Dim objSMDoc As SolidEdgePart.SheetMetalDocument = Nothing
    Dim myMatTable As SolidEdgeFramework.MatTable = Nothing

    Try
        objApplication = Marshal.GetActiveObject("SolidEdge.Application")
        ' Get the material table object from the application
        myMatTable = objApplication.GetMaterialTable()

        objSMDoc = objApplication.ActiveDocument
        If (objSMDoc Is Nothing) Then
            MsgBox("Failed to get Sheet Metal Document object.")
        End If

        MsgBox("Opening Gage File For Editing!")
        Call myMatTable.EditOpenGageExcelFile("Steel 01")
    Catch ex As Exception
        MsgBox(ex.ToString)
    End Try
End Sub
See Also

MatTable Object  | MatTable Members